<?php

// HotDreamweaver Captcha Capabilities Test
// v1.02
// Release: 4:16 PM 2/20/2008
//
// Description: This script helps to test if your server can generate captcha images
//
// Instructions: Upload this file to your web site and call it from a browser (Ex. http://your-web-site/test.php), then just read the message.
//
// Technical info: This script tests if you server support PHP sessions and has the GD library installed (required to create captcha validations).
//
// Contact: http://www.hotdreamweaver.com/contact-us
//
// Related product: http://www.hotdreamweaver.com/form-captcha

error_reporting(7);
session_start();

if ($_GET["test"])
{
    if (!$_SESSION["hotdwcaptchatest1"])
       die('Captcha not supported. Reason: PHP session vars are disabled. Please contact your hosting support about this issue.');
    else
    {                         
         if (!function_exists("imagecreatetruecolor") || !function_exists("imagestring") || !function_exists("imagepng"))
             die(' Captcha not supported. Reason: The GD (image) library has not been installed. Please contact your hosting support and ask them to install the GD Library for PHP.');
         $image = imagecreatetruecolor(650, 70);
         imagestring ( $image, 6, 20, 10, 'Congratulations! You can generate captcha images from your server.', 1765296);	
         imagestring ( $image, 3, 90, 30, 'Our captcha solution: http://www.hotdreamweaver.com/form-captcha', 634265);	
         imagestring ( $image, 3, 180, 50, 'Thanks for choosing our product!', 634265);	
         header("Content-type: image/png");
         imagepng($image);
         imagedestroy ($image);
    } 
}
else
{
   $_SESSION["hotdwcaptchatest1"] = "ok"; 
   if ($_SERVER['PHP_SELF'])
   {
       ?><script type="text/javascript">document.location='<?php echo $_SERVER['PHP_SELF']; ?>?test=1';</script><?php
   }    
   else    
   {
       ?><script type="text/javascript">document.location='test.php?test=1';</script><?php
   }    
}


?>